APT-CACHE(8)

NAME
apt-cache - den APT-Zwischenspeicher abfragen

ÜBERSICHT

apt-cache [-agipns] [-o=Konfigurationszeichenkette] [-c=Konfigurationsdatei] {gencaches | showpkg Paket... | showsrc Paket... | stats | dump | dumpavail | unmet | search regulärer_Ausdruck... | show Paket [{=Paketversionsnummer | /Ziel-Release}]... | depends Paket [{=Paketversionsnummer | /Ziel-Release}]... | rdepends Paket [{=Paketversionsnummer | /Ziel-Release}]... | pkgnames [Präfix] | dotty Paket [{=Paketversionsnummer | /Ziel-Release}]... | xvcg Paket [{=Paketversionsnummer | /Ziel-Release}]... | policy [Paket...] | madison Paket... | {-v | --version} | {-h | --help}}

BESCHREIBUNG

apt-cache performs a variety of operations on APT's package cache. apt-cache does not manipulate the state of the system but does provide operations to search and generate interesting output from the package metadata. The metadata is acquired and updated via the 'update' command of e.g. apt-get, so that it can be outdated if the last update is too long ago, but in exchange apt-cache works independently of the availability of the configured sources (e.g. offline).

Sofern nicht die -h-, oder --help-Option angegeben ist, muss einer der unten aufgeführten Befehle vorkommen.

gencaches
    gencaches erzeugt den Paketzwischenspeicher von APT. Dies wird implizit durch alle Befehle erledigt, die diesen Zwischenspeicher benötigen, falls er fehlt oder veraltet ist.

showpkg Paket...
    showpkg zeigt Informationen über die auf der Befehlszeile aufgelisteten Pakete. Die übrigen Argumente sind Paketnamen. Die verfügbaren Versionen und Rückwärtsabhängigkeiten jedes aufgeführten Paketes werden ebenso aufgelistet, wie die Vorwärtsabhängigkeiten jeder Version. Vorwärtsabhängigkeiten (normale Abhängigkeiten) sind jene Pakete, von denen das betreffende Paket abhängt. Rückwärtsabhängigkeiten sind jene Pakete, die von dem betreffenden Paket abhängen. Deshalb müssen Vorwärtsabhängigkeiten für das Paket erfüllt werden, Rückwärtsabhängigkeiten allerdings nicht. apt-cache showpkg libreadline2 würde zum Beispiel eine Ausgabe ähnlich der folgenden erzeugen:

        Package: libreadline2
        Versions: 2.1-12(/var/state/apt/lists/foo_Packages),
        Reverse Depends:
          libreadlineg2,libreadline2
          libreadline2-altdev,libreadline2
        Dependencies:
        2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
        Provides:
        2.1-12 -
        Reverse Provides:
    Dadurch sieht man, dass libreadline2, Version 2.1-12, von libc5 und ncurses3.0 abhängt, die installiert sein müssen, damit libreadline2 funktioniert. Im Gegenzug hängen libreadlineg2 und libreadline2-altdev von libreadline2 ab. Wenn libreadline2 installiert ist, müssen außerdem libc5 und ncurses3.0 (und ldso) installiert sein. Für die spezielle Bedeutung der restlichen Ausgabe ist es am besten, den apt-Quelltext zu konsultieren.

stats
    stats zeigt einige Statistiken über den Zwischenspeicher. Es werden keine weiteren Argumente erwartet. Berichtete Statistiken sind:

        • Total package names ist die Gesamtzahl der im Zwischenspeicher gefundenen Pakete.

        • Normal packages ist die Anzahl der regulären, gewöhnlichen Paketnamen. Diese sind Pakete, die eine Eins-zu-Eins-Entsprechung zwischen ihren Namen und den Namen, die andere Pakete für ihre Abhängigkeiten benutzen, tragen. Die Mehrzahl der Pakete fällt in diese Kategorie.

        • Pure virtual packages ist die Anzahl der Pakete, die nur als ein virtueller Paketname existieren. Das kommt vor, wenn Pakete nur den virtuellen Paketnamen »bereitstellen« und aktuell kein Paket den Namen benutzt. Zum Beispiel ist im Debian-GNU/Linux-System »mail-transport-agent« ein rein virtuelles Paket. Mehrere Pakete stellen »mail-transport-agent« bereit, aber es gibt kein Paket mit dem Namen »mail-transport-agent«.

        • Single virtual packages ist die Anzahl der Pakete mit nur einem Paket, das ein bestimmtes virtuelles Paket bereitstellt. »X11-text-viewer« ist zum Beispiel im Debian-GNU/Linux-System ein virtuelles Paket, aber nur ein Paket, xless, stellt »X11-text-viewer« bereit.

        • Mixed virtual packages ist die Anzahl der Pakete, die entweder ein bestimmtes virtuelles Paket bereitstellen oder den virtuellen Paketnamen als Paketnamen haben. »debconf« ist zum Beispiel sowohl ein tatsächliches Paket, wird aber auch vom Paket debconf-tiny bereitgestellt.

        • Missing ist die Anzahl der Paketnamen, auf die eine Abhängigkeit verweist, die aber von keinem Paket bereitgestellt werden. Fehlende Pakete könnten auftauchen, wenn nicht auf eine vollständige Distribution zugegriffen oder ein (echtes oder virtuelles) Paket aus einer Distribution gestrichen wurde. Normalerweise wird auf sie von Conflicts oder Breaks-Angaben Bezug genommen.

        • Total distinct versions is the number of package versions found in the cache. If more than one distribution is being accessed (for instance, "stable" and "unstable"), this value can be considerably larger than the number of total package names.

        • Total dependencies ist die Anzahl der Abhängigkeitsbeziehungen, den alle Pakete im Zwischenspeicher beanspruchen.

showsrc Paket...
    showsrc displays all the source package records that match the given package names. All versions are shown, as well as all records that declare the name to be a binary package. Use --only-source to display only source package names.

dump
    dump zeigt einen kurzen Programmausdruck von jedem Paket im Zwischenspeicher. Es dient in erster Linie der Fehlersuche.

dumpavail
    dumpavail gibt eine verfügbare Liste auf stdout aus. Dies ist geeignet für die Benutzung mit dpkg(1) und wird für die dselect(1)-Methode benutzt.

unmet
    unmet zeigt die Zusammenfassung aller unerfüllten Abhängigkeiten im Paketzwischenspeicher.

show Paket...
    show führt eine Funktion aus, die dpkg --print-avail ähnlich ist. Es zeigt die Paketdatensätze für die genannten Pakete.

search regulärer_Ausdruck...
    search performs a full text search on all available package lists for the POSIX regex pattern given, see regex(7). It searches the package names and the descriptions for an occurrence of the regular expression and prints out the package name and the short description, including virtual package names. If --full is given then output identical to show is produced for each matched package, and if --names-only is given then the long description is not searched, only the package name and provided packages are.

    Separate Argumente können benutzt werden, um mehrere Suchmuster anzugeben, die »und«-verknüpft werden.

depends Paket...
    depends zeigt eine Liste von jeder Abhängigkeit, die ein Paket hat und alle möglichen anderen Pakete, die die Abhängigkeit erfüllen können.

rdepends Paket...
    rdepends zeigt eine Liste von jeder Rückwärtsabhängigkeit, die ein Paket hat.

pkgnames [Präfix]
    Dieser Befehl gibt den Namen jedes Paketes aus, das APT kennt. Das optionale Argument ist ein passendes Präfix, um die Namensliste zu filtern. Die Ausgabe ist geeignet für die Benutzung in der Tabulatorvervollständigung in der Shell. Die Ausgabe wird extrem schnell generiert. Dieser Befehl wird am besten mit der --generate-Option benutzt.

    Beachten Sie, dass ein Paket, das APT kennt, nicht notwendigerweise zum Herunterladen verfügbar, installierbar oder installiert ist, virtuelle Pakete sind z.B. auch in der generierten Liste aufgeführt.

dotty Paket...
    dotty nimmt eine Paketliste auf der Befehlszeile entgegen und generiert eine Ausgabe, die für die Benutzung durch dotty aus dem Paket GraphViz[1] geeignet ist. Das Ergebnis ist eine Zusammenstellung von Knoten und Kanten, die die Beziehung zwischen Paketen darstellen. Standardmäßig werden alle abhängigen Pakete ausfindig gemacht. Dies kann zu einem sehr großen Schaubild führen. Um die Ausgabe auf die Pakete zu beschränken, die auf der Befehlszeile eingegeben wurden, setzen Sie die Option APT::Cache::GivenOnly.

    Die resultierenden Knoten haben mehrere Formen: Normale Pakete sind Kästchen, rein virtuelle Pakete sind Dreiecke, gemischt virtuelle Pakete sind Diamanten, fehlende Pakete sind Sechsecke. Orange Kästchen bedeuten, dass die Rekursion beendet wurde [Leaf Packages], blaue Linien sind Pre-depends, grüne Linien sind Konflikte.

    Vorsicht, dotty kann keine größeren Zusammenstellungen von Paketen grafisch darstellen.

xvcg Paket...
    Das gleiche wie dotty, nur für xvcg vom VCG-Werkzeug[2].

policy [Paket...]
    policy ist dazu gedacht, bei Fragen der Fehlersuche, die sich auf die Einstellungsdatei beziehen, zu helfen. Ohne Argumente gibt es die Prioritäten von jeder Quelle aus. Ansonsten gibt es umfangreiche Informationen über die Prioritätenauswahl der genannten Pakete aus.

madison Paket...
    apt-caches madison-Befehl versucht das Ausgabeformat und eine Untermenge der Funktionalität des Debian-Archivververwaltungswerkzeuges madison nachzuahmen. Es zeigt verfügbare Versionen eines Pakets in Tabellenform. Anders als das Original madison, kann es nur Informationen für die Architektur anzeigen, für die APT Paketlisten heruntergeladen hat (APT::Architecture).

OPTIONEN

Alle Befehlszeilenoptionen können durch die Konfigurationsdatei gesetzt werden, die Beschreibung gibt die zu setzende Option an. Für boolesche Optionen können Sie die Konfigurationsdatei überschreiben, indem Sie etwas wie -f-, --no-f, -f=no oder etliche weitere Varianten benutzen.

-p, --pkg-cache
    wählt die Datei zum Speichern des Paketzwischenspeichers. Der Paketzwischenspeicher ist der primäre Zwischenspeicher, der von allen Operationen benutzt wird. Konfigurationselement: Dir::Cache::pkgcache.

-s, --src-cache
    wählt die Datei zum Speichern des Quellenzwischenspeichers. Die Quelle wird nur von gencaches benutzt und sie speichert eine ausgewertete Version der Paketinformationen von entfernt liegenden Quellen. Wenn der Paketzwischenspeicher gebildet wird, wird der Quellenzwischenspeicher benutzt, um ein erneutes Auswerten aller Paketdateien zu vermeiden. Konfigurationselement: Dir::Cache::srcpkgcache.

-q, --quiet
    still; erzeugt eine Ausgabe, die für Protokollierung geeignet ist und Fortschrittsanzeiger weglässt. Mehr »q«s unterdrücken mehr Ausgaben, bis zu einem Maximum von 2. Sie können außerdem -q=# benutzen, um die Stillestufe zu setzen, was die Konfigurationsdatei überschreibt. Konfigurationselement: quiet.

-i, --important
    nur wichtige Abhängigkeiten ausgeben. Zur Benutzung mit unmet und depends. Veranlasst, dass nur Depends- und Pre-Depends-Beziehungen ausgegeben werden. Konfigurationselement: APT::Cache::Important.

--no-pre-depends, --no-depends, --no-recommends, --no-suggests, --no-conflicts, --no-breaks, --no-replaces, --no-enhances
    Per default the depends and rdepends print all dependencies. This can be tweaked with these flags which will omit the specified dependency type. Configuration Item: APT::Cache::ShowDependencyType e.g. APT::Cache::ShowRecommends.

--implicit
    Per default depends and rdepends print only dependencies explicitly expressed in the metadata. With this flag it will also show dependencies implicitely added based on the encountered data. A Conflicts: foo e.g. expresses implicitely that this package also conflicts with the package foo from any other architecture. Configuration Item: APT::Cache::ShowImplicit.

-f, --full
    gibt die vollständigen Paketdatensätze beim Suchen aus. Konfigurationselement: APT::Cache::ShowFull.

-a, --all-versions
    gibt die vollständigen Datensätze für alle verfügbaren Versionen aus. Dies ist die Vorgabe. Um sie auszuschalten, benutzen Sie --no-all-versions. Wenn --no-all-versions angegeben ist, wird nur die Anwärterversion angezeigt (die, die zur Installation ausgewählt würde). Diese Option ist nur für den show-Befehl anwendbar. Konfigurationselement: APT::Cache::AllVersions.

-g, --generate
    führt das Neuerstellen des Paketzwischenspeichers aus, anstatt den Zwischenspeicher so zu benutzen, wie er ist. Das ist die Vorgabe. Um sie auszuschalten benutzen Sie --no-generate. Konfigurationselement: APT::Cache::Generate.

--names-only, -n
    Only search on the package and provided package names, not the long descriptions. Configuration Item: APT::Cache::NamesOnly.

--all-names
    lässt pkgnames alle Namen, einschließlich virtueller Pakete und fehlender Abhängigkeiten, ausgeben. Konfigurationselement: APT::Cache::AllNames.

--recurse
    macht depends und rdepends rekursiv, so dass alle erwähnten Pakete einmal ausgegeben werden. Konfigurationselement: APT::Cache::RecurseDepends.

--installed
    begrenzt die Ausgabe von depends und rdepends auf Pakete, die aktuell installiert sind. Konfigurationselement: APT::Cache::Installed.

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

-c, --config-file
    Konfigurationsdatei; gibt eine Konfigurationssdatei zum Benutzen an. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei der Umgebungsvariable APT_CONFIG an Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten

-o, --option
    eine Konfigurationsoption setzen; Dies wird eine beliebige Konfigurationsoption setzen. Die Syntax lautet -o Foo::Bar=bar. -o und --option kann mehrfach benutzt werden, um verschiedene Optionen zu setzen.

DATEIEN

/etc/apt/sources.list
    Orte, von denen Pakete geladen werden. Konfigurationselement: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Dateifragmente für Orte, von denen Pakete geladen werden. Konfigurationselement: Dir::Etc::SourceParts.

/var/lib/apt/lists/
    Speicherbereich für Statusinformationen jeder in sources.list(5) angegebenen Paketquelle Konfigurationselement: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Speicherbereich für Statusinformationen auf dem Transportweg. Konfigurationselement: Dir::State::Lists (partial wird implizit angehängt)

SIEHE AUCH

apt.conf(5), sources.list(5), apt-get(8)

DIAGNOSE

apt-cache gibt bei normalen Operationen 0 zurück, dezimal 100 bei Fehlern.

FEHLER

APT-Fehlerseite[3]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009 von Chris Leick <c.leick@vollbio.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Jason Gunthorpe

APT-Team

FUßNOTEN

1.  GraphViz
    http://www.research.att.com/sw/tools/graphviz/

2.  VCG-Werkzeug
    http://rw4.cs.uni-sb.de/users/sander/html/gsvcg1.html

3.  APT-Fehlerseite
    http://bugs.debian.org/src:apt